Subject: Re: [Bitcoin-development] Why are we bleeding nodes?

From: Gregory Maxwell <[email-masked]>
Date: Mon, 7 Apr 2014 10:44:08 -0700

On Mon, Apr 7, 2014 at 10:40 AM, Mike Hearn <[email-masked]> wrote:
> Actually, I wonder

The actual validation isn't really the problem today. The slowness of
the IBD is almost exclusively the lack of parallel fetching and the
existence of slow peers.  And making the signature gate adaptive (and
deploying the 6x faster ECDSA code) would improve that future.

Go grab sipa's headers first branch, it has no problem saturating a
20mbit/sec pipe syncing up.